Bug 39865 - qla2x00 driver not working correctly with over 4GB ram
qla2x00 driver not working correctly with over 4GB ram
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-09 10:17 EDT by Matt Domsch
Modified: 2005-10-31 17:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-21 05:47:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2001-05-09 10:17:40 EDT
Description of Problem:


How Reproducible:

With Springbank wolverine installed on a bordeaux w/ bios x12, more than 
4GB ram, and a qlogic 2200 fiber card connected to a 650F powervault 
enclosure,  qla2x00 driver only detects 1 of 10 configured luns.  Also the 
information in /proc/scsi/scsi is incorrect for the one detected lun.
All 10 luns correctly detected with under 4GB ram.
Behaviour is same for UP and SMP kernels.


Steps to Reproduce:
1. Install Springbank wolverine on a bordeaux with over 4GB ram and qlogic 
2200 card attached to powervault enclosure.
2. After install, attempt to insmod qla2x00 driver.

Actual Results:

/proc/scsi/scsi:
Attached devices: 
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: QUANTUM  Model: ATLAS V 18 SCA   Rev: 0201
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 01 Lun: 00
  Vendor: QUANTUM  Model: ATLAS_V_18_SCA   Rev: 0230
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 06 Lun: 00
  Vendor: DELL     Model: 1x4 U2W SCSI BP  Rev: 0.14
  Type:   Processor                        ANSI SCSI revision: 02
Host: scsi1 Channel: 00 Id: 00 Lun: 00
  Vendor:          Model: a6cda361         Rev:     
  Type:   Direct-Access                    ANSI SCSI revision: ffffffff

/proc/scsi/qla2x00/1:

QLogic PCI to Fibre Channel Host Adapter for ISP2100/ISP2200/ISP2200A:
        Firmware version:  2.01.20, Driver version 4.15 Beta
SCSI Host Adapter Information: QLA2200 
Request Queue = 0x47e0000, Response Queue = 0x47bc000
Request Queue count= 512, Response Queue count= 64
Number of pending commands = 0x0
Number of queued commands = 0x0
Number of free request entries = 454
Number of mailbox timeouts = 0
Number of ISP aborts = 0
Number of loop resyncs = 0
Number of retries for empty slots = 0
Number of reqs in retry_q = 0
Number of reqs in done_q = 0


SCSI Device Information:
scsi-qla0-adapter-node=200000e08b019366;
scsi-qla0-adapter-port=210000e08b019366;
scsi-qla0-target-0=20000060163adc6a;

SCSI LUN Information:
(Id:Lun)
( 0: 0): Total reqs 54, Pending reqs 0, Queued reqs 0,

Expected Results:
All luns seen

Additional Information:
Comment 1 Arjan van de Ven 2001-05-21 05:47:41 EDT
This should be fixed with the updated driver we merged.

Note You need to log in before you can comment on or make changes to this bug.